## com.crystaldecisions.report.htmlrender
Class AfterRenderObjectEvent

    java.lang.Object
      RenderEventObjectBase
          com.crystaldecisions.report.htmlrender.AfterRenderObjectEvent

public class AfterRenderObjectEvent
extends RenderEventObjectBase

This class provides arguments for the `AfterRenderObjectEventListener`. The event occurs when the report object rendering process is finished.

See Also:
  Serialized Form

Constructor Summary
`AfterRenderObjectEvent(java.lang.Object source)`

Method Summary
`java.lang.Object` | `getObject()` Returns the cached report object.
`java.lang.Object` | `getObjectRender()` Returns the HTML renderer object, which generates the resulting HTML.
`void` | `setObject(java.lang.Object value)` Sets the cached report object.
`void` | `setObjectRender(java.lang.Object value)` Sets the HTML renderer object, which generates the resulting HTML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AfterRenderObjectEvent

    public AfterRenderObjectEvent(java.lang.Object source)

Method Detail

### getObject

    public java.lang.Object getObject()

  Returns the cached report object. This can be a `com.crystaldecisions.sdk.occa.report.definition.FieldObject`, `com.crystaldecisions.sdk.occa.report.definition.TextObject`, `com.crystaldecisions.sdk.occa.report.definition.ChartObject`, and so on.

  Returns:
    The cached report object as an `Object`.
  See Also:
    `setObject`

### getObjectRender

    public java.lang.Object getObjectRender()

  Returns the HTML renderer object, which generates the resulting HTML. This is the event's source object.

  Returns:
    The HTML renderer as an `Object`.
  See Also:
    `setObjectRender`

### setObject

    public void setObject(java.lang.Object value)

  Sets the cached report object. This can be a `com.crystaldecisions.sdk.occa.report.definition.FieldObject`, `com.crystaldecisions.sdk.occa.report.definition.TextObject`, `com.crystaldecisions.sdk.occa.report.definition.ChartObject`, and so on.

  Parameters:
    `value` - An `Object` that represents the cached report object.
  See Also:
    `getObject`

### setObjectRender

    public void setObjectRender(java.lang.Object value)

  Sets the HTML renderer object, which generates the resulting HTML. This is the event's source object.

  Parameters:
    `value` - An `Object` that represents the HTML renderer.
  See Also:
    `getObjectRender`